Skip to main content

Get Campaign

Retrieve a single campaign by ID, including its full configuration and statistics.


Endpoint​

GET https://api.campaignlark.com/v1/campaigns/:id

Path Parameters​

ParameterTypeRequiredDescription
idstringrequiredThe campaign ID.

Sample Request​

GET https://api.campaignlark.com/v1/campaigns/64f1a2b3c4d5e6f7a8b9c0d1

Response​

Success — 200 OK​

Returns the full campaign object (see Campaign Object).


Errors​

StatusMessageCause
400Please provide a campaign ID.id path param is missing.
400We could not find the campaign you are looking for.Campaign does not exist in the workspace.